Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-mail-imapclient: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 29 Oct 2015 16:45:05 +0200

---
 main/perl-mail-imapclient/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 main/perl-mail-imapclient/APKBUILD
diff --git a/main/perl-mail-imapclient/APKBUILD b/main/perl-mail-imapclient/APKBUILD
new file mode 100644
index 0000000..ae2b184
--- /dev/null
+++ b/main/perl-mail-imapclient/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-mail-imapclient
+_pkgreal=Mail-IMAPClient
+pkgver=3.37
+pkgrel=0
+pkgdesc="IMAP4 client library"
+url="http://search.cpan.org/dist/Mail-IMAPClient/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-parse-recdescent"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PL/PLOBBES/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="123b36cbfcfc136b59611aa87782a4cc  Mail-IMAPClient-3.37.tar.gz"
+sha256sums="481df10e0426938dcf6ae641e8e15098ddaeb44ca247772a27b87278f78ba9f3  Mail-IMAPClient-3.37.tar.gz"
+sha512sums="e6baeb880610d55991342fc50acd5bb666a4d94856f4d158172eb5e430aa62296847cb4cec4706398dfbaf7af657ca0024ef92bbb455addd0cd648c47d847fef  Mail-IMAPClient-3.37.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 29 2015 - 16:45:05 GMT